%define	ver	4.10.0
Summary:	A MUltifrontal Massively Parallel sparse direct Solver
Name:		mumps
Version:	%{ver}
Release:	1
License:	Public domain
Group:		Libraries
Source:		MUMPS_%{ver}.tar.bz2
Source1:	Makefile.inc
URL:		http://mumps.enseeiht.fr/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	scalapack blacs scotch_esmumps metis parmetis
BuildRequires:	gcc-gfortran
Provides:	mumps
Prefix:		/usr

%description
MUMPS: a parallel sparse direct solver

%prep
%setup -q -n MUMPS_%{ver}
pwd="`pwd`"
sed -e 's|\$(topdir)|'"$pwd"'|g' %{SOURCE1} >Makefile.inc
ln -s /usr/include/ptscotchf.h src/.

%build
make s d

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

/bin/cp -pf include/{[sd]mumps*,mumps_compat,mumps_c_types}.h \
	$RPM_BUILD_ROOT%{_includedir}/.

mkdir tmp
cd tmp
for f in `find .. -name '*.a' -print`; do
    rm -f *.o
    ar x $f
    n=`basename $f`
    gcc -shared -o $RPM_BUILD_ROOT/%{_libdir}/${n%.a}.so *.o
done
cd ..
rm -rf tmp

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README LICENSE VERSION ChangeLog doc/userguide_%{ver}.pdf
/*

%changelog
